diff --git a/libkdepim/progressdialog.cpp b/libkdepim/progressdialog.cpp
index 580830dec..e12a1b758 100644
--- a/libkdepim/progressdialog.cpp
+++ b/libkdepim/progressdialog.cpp
@@ -309,7 +309,7 @@ void ProgressDialog::slotTransactionAdded( ProgressItem *item )
 {
    TransactionItem *tqparent = 0;
    if ( item->tqparent() ) {
-     if ( mTransactionsToListviewItems.tqcontains( item->tqparent() ) ) {
+     if ( mTransactionsToListviewItems.contains( item->tqparent() ) ) {
        tqparent = mTransactionsToListviewItems[ item->tqparent() ];
        tqparent->addSubTransaction( item );
      }
@@ -317,7 +317,7 @@ void ProgressDialog::slotTransactionAdded( ProgressItem *item )
      const bool first = mTransactionsToListviewItems.empty();
      TransactionItem *ti = mScrollView->addTransactionItem( item, first );
      if ( ti )
-       mTransactionsToListviewItems.tqreplace( item, ti );
+       mTransactionsToListviewItems.replace( item, ti );
      if ( first && mWasLastShown )
        TQTimer::singleShot( 1000, this, TQT_SLOT( slotShow() ) );
 
@@ -326,7 +326,7 @@ void ProgressDialog::slotTransactionAdded( ProgressItem *item )
 
 void ProgressDialog::slotTransactionCompleted( ProgressItem *item )
 {
-   if ( mTransactionsToListviewItems.tqcontains( item ) ) {
+   if ( mTransactionsToListviewItems.contains( item ) ) {
      TransactionItem *ti = mTransactionsToListviewItems[ item ];
      mTransactionsToListviewItems.remove( item );
      ti->setItemComplete();
@@ -347,7 +347,7 @@ void ProgressDialog::slotTransactionCanceled( ProgressItem* )
 void ProgressDialog::slotTransactionProgress( ProgressItem *item,
                                               unsigned int progress )
 {
-   if ( mTransactionsToListviewItems.tqcontains( item ) ) {
+   if ( mTransactionsToListviewItems.contains( item ) ) {
      TransactionItem *ti = mTransactionsToListviewItems[ item ];
      ti->setProgress( progress );
    }
@@ -356,7 +356,7 @@ void ProgressDialog::slotTransactionProgress( ProgressItem *item,
 void ProgressDialog::slotTransactiontqStatus( ProgressItem *item,
                                             const TQString& status )
 {
-   if ( mTransactionsToListviewItems.tqcontains( item ) ) {
+   if ( mTransactionsToListviewItems.contains( item ) ) {
      TransactionItem *ti = mTransactionsToListviewItems[ item ];
      ti->setqStatus( status );
    }
@@ -365,7 +365,7 @@ void ProgressDialog::slotTransactiontqStatus( ProgressItem *item,
 void ProgressDialog::slotTransactionLabel( ProgressItem *item,
                                            const TQString& label )
 {
-   if ( mTransactionsToListviewItems.tqcontains( item ) ) {
+   if ( mTransactionsToListviewItems.contains( item ) ) {
      TransactionItem *ti = mTransactionsToListviewItems[ item ];
      ti->setLabel( label );
    }
@@ -375,7 +375,7 @@ void ProgressDialog::slotTransactionLabel( ProgressItem *item,
 void ProgressDialog::slotTransactionUsesCrypto( ProgressItem *item,
                                                 bool value )
 {
-   if ( mTransactionsToListviewItems.tqcontains( item ) ) {
+   if ( mTransactionsToListviewItems.contains( item ) ) {
      TransactionItem *ti = mTransactionsToListviewItems[ item ];
      ti->setCrypto( value );
    }
@@ -383,7 +383,7 @@ void ProgressDialog::slotTransactionUsesCrypto( ProgressItem *item,
 
 void ProgressDialog::slotTransactionUsesBusyIndicator( KPIM::ProgressItem *item, bool value )
 {
-  if ( mTransactionsToListviewItems.tqcontains( item ) ) {
+  if ( mTransactionsToListviewItems.contains( item ) ) {
      TransactionItem *ti = mTransactionsToListviewItems[ item ];
      if ( value )
        ti->setTotalSteps( 0 );
diff --git a/libkdepim/progressmanager.cpp b/libkdepim/progressmanager.cpp
index de305212d..9dd80c9dc 100644
--- a/libkdepim/progressmanager.cpp
+++ b/libkdepim/progressmanager.cpp
@@ -66,7 +66,7 @@ void ProgressItem::setComplete()
 
 void ProgressItem::addChild( ProgressItem *kiddo )
 {
-  mChildren.tqreplace( kiddo, true );
+  mChildren.replace( kiddo, true );
 }
 
 void ProgressItem::removeChild( ProgressItem *kiddo )
diff --git a/libkdepim/qutf7codec.cpp b/libkdepim/qutf7codec.cpp
index 630dcaa25..db6589cd9 100644
--- a/libkdepim/qutf7codec.cpp
+++ b/libkdepim/qutf7codec.cpp
@@ -183,7 +183,7 @@ public:
 	qWarning("TQUtf7Decoder: 8bit char found in input. "
 		 "Parser has been re-initialized!");
 	resetParser();
-	result += TQChar::tqreplacement;
+	result += TQChar::replacement;
 	continue;
       }
 
diff --git a/libkdepim/spellingfilter.cpp b/libkdepim/spellingfilter.cpp
index a08610983..cc94968d4 100644
--- a/libkdepim/spellingfilter.cpp
+++ b/libkdepim/spellingfilter.cpp
@@ -89,7 +89,7 @@ void SpellingFilter::TextCensor::censorQuotations(const TQString& quotePrefix)
       int len = mPos - start;
       TQString spaces;
       spaces.fill(' ', len);
-      mText.tqreplace(start, len, spaces);
+      mText.replace(start, len, spaces);
 
       //kdDebug(5006) << "censored quotation ["
       //  << start << ", " << mPos << ")" << endl;
@@ -116,7 +116,7 @@ void SpellingFilter::TextCensor::censorUrls()
 
       // Replace url with spaces
       url.fill(' ');
-      mText.tqreplace(start, url.length(), url);
+      mText.replace(start, url.length(), url);
 
       //kdDebug(5006) << "censored url ["
       //  << start << ", " << mPos << ")" << endl;
@@ -141,7 +141,7 @@ void SpellingFilter::TextCensor::censorEmailAddresses()
 
         // Replace address with spaces
         address.fill(' ');
-        mText.tqreplace(start, address.length(), address);
+        mText.replace(start, address.length(), address);
 
         //kdDebug(5006) << "censored addr ["
         //  << start << ", "<< mPos << ")" << endl;
@@ -156,13 +156,13 @@ void SpellingFilter::TextCensor::censorString(const TQString& s)
   while(mPos != -1)
   {
     // Find start of string
-    mPos = mText.tqfind(s, mPos);
+    mPos = mText.find(s, mPos);
     if(mPos != -1)
     {
       // Replace string with spaces
       TQString spaces;
       spaces.fill(' ', s.length());
-      mText.tqreplace(mPos, s.length(), spaces);
+      mText.replace(mPos, s.length(), spaces);
       mPos += s.length();
 
       //kdDebug(5006) << "censored string ["
@@ -187,7 +187,7 @@ bool SpellingFilter::TextCensor::atLineStart() const
 
 void SpellingFilter::TextCensor::skipLine()
 {
-  mPos = mText.tqfind('\n', mPos);
+  mPos = mText.find('\n', mPos);
   if(mPos == -1)
     mPos = static_cast<int>(mText.length());
   else
diff --git a/libkdepim/tests/test_kregexp.cpp b/libkdepim/tests/test_kregexp.cpp
index 0644bbba5..511687d07 100644
--- a/libkdepim/tests/test_kregexp.cpp
+++ b/libkdepim/tests/test_kregexp.cpp
@@ -9,7 +9,7 @@ main()
 
   // test for http://bugs.kde.org/show_bug.cgi?id=54886
   KRegExp3 reg("^");
-  TQString res = reg.tqreplace(TQString::tqfromLatin1("Fun stuff"),
+  TQString res = reg.replace(TQString::tqfromLatin1("Fun stuff"),
 			    TQString::tqfromLatin1("[fun] "));
   kdDebug() << res << endl;
 
diff --git a/libkholidays/kholidays.cpp b/libkholidays/kholidays.cpp
index 6af3998fb..3b4ec63a2 100644
--- a/libkholidays/kholidays.cpp
+++ b/libkholidays/kholidays.cpp
@@ -47,7 +47,7 @@ TQStringList KHolidays::locations()
 
   TQStringList::ConstIterator it;
   for ( it = files.begin(); it != files.end(); ++it )
-    locs.append( (*it).mid((*it).tqfindRev('_') + 1) );
+    locs.append( (*it).mid((*it).findRev('_') + 1) );
 
   return locs;
 }
diff --git a/libkholidays/parseholiday.c b/libkholidays/parseholiday.c
index 1d5b84cf7..c215515e5 100644
--- a/libkholidays/parseholiday.c
+++ b/libkholidays/parseholiday.c
@@ -20,7 +20,7 @@
    Foundation, Inc., 51 Franklin Street, Fifth Floor,
    Boston, MA 02110-1301, USA.  */
 
-/* As a special exception, you may create a larger work that tqcontains
+/* As a special exception, you may create a larger work that contains
    part or all of the Bison parser skeleton and distribute that work
    under terms of your choice, so long as that work isn't itself a
    parser generator using the skeleton or a modified version thereof
diff --git a/libkholidays/parseholiday.h b/libkholidays/parseholiday.h
index 3802c4d5a..709aa5671 100644
--- a/libkholidays/parseholiday.h
+++ b/libkholidays/parseholiday.h
@@ -20,7 +20,7 @@
    Foundation, Inc., 51 Franklin Street, Fifth Floor,
    Boston, MA 02110-1301, USA.  */
 
-/* As a special exception, you may create a larger work that tqcontains
+/* As a special exception, you may create a larger work that contains
    part or all of the Bison parser skeleton and distribute that work
    under terms of your choice, so long as that work isn't itself a
    parser generator using the skeleton or a modified version thereof
diff --git a/libkmime/kmime_content.cpp b/libkmime/kmime_content.cpp
index fc3af97b0..eb8deb8a2 100644
--- a/libkmime/kmime_content.cpp
+++ b/libkmime/kmime_content.cpp
@@ -85,7 +85,7 @@ void Content::setContent(TQStrList *l)
 
 void Content::setContent(const TQCString &s)
 {
-  int pos=s.tqfind("\n\n", 0);
+  int pos=s.find("\n\n", 0);
   if(pos>-1) {
     h_ead=s.left(++pos);  //header *must* end with "\n" !!
     b_ody=s.mid(pos+1, s.length()-pos-1);
@@ -313,9 +313,9 @@ TQCString Content::encodedContent(bool useCrLf)
 
     // add proper mime headers...
     if (convertNonMimeBinaries) {
-      h_ead.tqreplace(TQRegExp("MIME-Version: .*\\n"),"");
-      h_ead.tqreplace(TQRegExp("Content-Type: .*\\n"),"");
-      h_ead.tqreplace(TQRegExp("Content-Transfer-Encoding: .*\\n"),"");
+      h_ead.replace(TQRegExp("MIME-Version: .*\\n"),"");
+      h_ead.replace(TQRegExp("Content-Type: .*\\n"),"");
+      h_ead.replace(TQRegExp("Content-Transfer-Encoding: .*\\n"),"");
       h_ead+="MIME-Version: 1.0\n";
       h_ead+=contentType(true)->as7BitString()+"\n";
       h_ead+=contentTransferEncoding(true)->as7BitString()+"\n";
@@ -537,7 +537,7 @@ void Content::addContent(Content *c, bool prepend)
       for(Headers::Base *h=srcHdrs.first(); h; h=srcHdrs.next()) {
         if(h->isMimeHeader()) {
           //remove from this content
-          idx=h_eaders->tqfindRef(h);
+          idx=h_eaders->findRef(h);
           h_eaders->take(idx);
           //append to new content
           main->h_eaders->append(h);
@@ -582,7 +582,7 @@ void Content::removeContent(Content *c, bool del)
   if(del)
     c_ontents->removeRef(c);
   else {
-    idx=c_ontents->tqfindRef(c);
+    idx=c_ontents->findRef(c);
     c_ontents->take(idx);
   }
 
@@ -604,7 +604,7 @@ void Content::removeContent(Content *c, bool del)
         if(h->isMimeHeader()) {
           removeHeader(h->type()); //remove the old header first
           h_eaders->append(h); //now append the new one
-          idx=main->h_eaders->tqfindRef(h);
+          idx=main->h_eaders->findRef(h);
           main->h_eaders->take(idx); //remove from the old content
           kdDebug(5003) << "Content::removeContent(Content *c, bool del) : mime-header moved: "
                         << h->as7BitString() << endl;
@@ -652,7 +652,7 @@ void Content::toStream(TQTextStream &ts, bool scrambleFromLines)
   TQCString ret=encodedContent(false);
 
   if (scrambleFromLines)
-    ret.tqreplace(TQRegExp("\\n\\nFrom "), "\n\n>From ");
+    ret.replace(TQRegExp("\\n\\nFrom "), "\n\n>From ");
 
   ts << ret;
 }
@@ -664,14 +664,14 @@ Headers::Generic*  Content::getNextHeader(TQCString &head)
   bool folded(false);
   Headers::Generic *header=0;
 
-  pos1 = head.tqfind(": ");
+  pos1 = head.find(": ");
 
   if (pos1>-1) {    //there is another header
     pos2=pos1+=2; //skip the name
 
     if (head[pos2]!='\n') {  // check if the header is not empty
       while(1) {
-        pos2=head.tqfind("\n", pos2+1);
+        pos2=head.find("\n", pos2+1);
         if(pos2==-1 || pos2==len || ( head[pos2+1]!=' ' && head[pos2+1]!='\t') ) //break if we reach the end of the string, honor folded lines
           break;
         else
@@ -684,7 +684,7 @@ Headers::Generic*  Content::getNextHeader(TQCString &head)
     if (!folded)
       header = new Headers::Generic(head.left(pos1-2), this, head.mid(pos1, pos2-pos1));
     else
-      header = new Headers::Generic(head.left(pos1-2), this, head.mid(pos1, pos2-pos1).tqreplace(TQRegExp("\\s*\\n\\s*")," "));
+      header = new Headers::Generic(head.left(pos1-2), this, head.mid(pos1, pos2-pos1).replace(TQRegExp("\\s*\\n\\s*")," "));
 
     head.remove(0,pos2+1);
   }
@@ -816,8 +816,8 @@ int Content::lineCount()
 {
   int ret=0;
   if(type()==ATmimeContent)
-    ret+=h_ead.tqcontains('\n');
-  ret+=b_ody.tqcontains('\n');
+    ret+=h_ead.contains('\n');
+  ret+=b_ody.contains('\n');
 
   if(c_ontents && !c_ontents->isEmpty())
     for(Content *c=c_ontents->first(); c; c=c_ontents->next())
diff --git a/libkmime/kmime_content.h b/libkmime/kmime_content.h
index 692f3afe4..1d2aac2d3 100644
--- a/libkmime/kmime_content.h
+++ b/libkmime/kmime_content.h
@@ -110,7 +110,7 @@ class KDE_EXPORT Content : public Base {
     void changeEncoding(Headers::contentEncoding e);
 
     //saves the encoded content to the given textstream
-    // scrambleFromLines: tqreplace "\nFrom " with "\n>From ", this is
+    // scrambleFromLines: replace "\nFrom " with "\n>From ", this is
     // needed to avoid problem with mbox-files
     void toStream(TQTextStream &ts, bool scrambleFromLines=false);
 
diff --git a/libkmime/kmime_headers.cpp b/libkmime/kmime_headers.cpp
index 40a016343..85d4c4049 100644
--- a/libkmime/kmime_headers.cpp
+++ b/libkmime/kmime_headers.cpp
@@ -582,9 +582,9 @@ void AddressField::from7BitString(const TQCString &s)
   TQCString n;
 
   //so what do we have here ?
-  if(s.tqfind( TQRegExp("*@*(*)", false, true) )!=-1) type=2;       // From: foo@bar.com (John Doe)
-  else if(s.tqfind( TQRegExp("*<*@*>", false, true) )!=-1) type=1;  // From: John Doe <foo@bar.com>
-  else if(s.tqfind( TQRegExp("*@*", false, true) )!=-1) type=0;     // From: foo@bar.com
+  if(s.find( TQRegExp("*@*(*)", false, true) )!=-1) type=2;       // From: foo@bar.com (John Doe)
+  else if(s.find( TQRegExp("*<*@*>", false, true) )!=-1) type=1;  // From: John Doe <foo@bar.com>
+  else if(s.find( TQRegExp("*@*", false, true) )!=-1) type=0;     // From: foo@bar.com
   else { //broken From header => just decode it
     n_ame=decodeRFC2047String(s, &e_ncCS, defaultCS(), forceCS());
     return;
@@ -598,11 +598,11 @@ void AddressField::from7BitString(const TQCString &s)
 
     case 1:
       pos1=0;
-      pos2=s.tqfind('<');
+      pos2=s.find('<');
       if(pos2!=-1) {
         n=s.mid(pos1, pos2-pos1).stripWhiteSpace();
         pos1=pos2+1;
-        pos2=s.tqfind('>', pos1);
+        pos2=s.find('>', pos1);
         if(pos2!=-1)
           e_mail=s.mid(pos1, pos2-pos1).stripWhiteSpace();
       }
@@ -611,11 +611,11 @@ void AddressField::from7BitString(const TQCString &s)
 
     case 2:
       pos1=0;
-      pos2=s.tqfind('(');
+      pos2=s.find('(');
       if(pos2!=-1) {
         e_mail=s.mid(pos1, pos2-pos1).stripWhiteSpace();
         pos1=pos2+1;
-        pos2=s.tqfind(')', pos1);
+        pos2=s.find(')', pos1);
         if(pos2!=-1)
           n=s.mid(pos1, pos2-pos1).stripWhiteSpace();
       }
@@ -664,9 +664,9 @@ void AddressField::fromUnicodeString(const TQString &s, const TQCString &cs)
   e_ncCS=cachedCharset(cs);
 
   //so what do we have here ?
-  if(s.tqfind( TQRegExp("*@*(*)", false, true) )!=-1) type=2;       // From: foo@bar.com (John Doe)
-  else if(s.tqfind( TQRegExp("*<*@*>", false, true) )!=-1) type=1;  // From: John Doe <foo@bar.com>
-  else if(s.tqfind( TQRegExp("*@*", false, true) )!=-1) type=0;     // From: foo@bar.com
+  if(s.find( TQRegExp("*@*(*)", false, true) )!=-1) type=2;       // From: foo@bar.com (John Doe)
+  else if(s.find( TQRegExp("*<*@*>", false, true) )!=-1) type=1;  // From: John Doe <foo@bar.com>
+  else if(s.find( TQRegExp("*@*", false, true) )!=-1) type=0;     // From: foo@bar.com
   else { //broken From header => just copy it
     n_ame=s;
     return;
@@ -680,11 +680,11 @@ void AddressField::fromUnicodeString(const TQString &s, const TQCString &cs)
 
     case 1:
       pos1=0;
-      pos2=s.tqfind('<');
+      pos2=s.find('<');
       if(pos2!=-1) {
         n_ame=s.mid(pos1, pos2-pos1).stripWhiteSpace();
         pos1=pos2+1;
-        pos2=s.tqfind('>', pos1);
+        pos2=s.find('>', pos1);
         if(pos2!=-1)
           e_mail=s.mid(pos1, pos2-pos1).latin1();
       }
@@ -693,11 +693,11 @@ void AddressField::fromUnicodeString(const TQString &s, const TQCString &cs)
 
     case 2:
       pos1=0;
-      pos2=s.tqfind('(');
+      pos2=s.find('(');
       if(pos2!=-1) {
         e_mail=s.mid(pos1, pos2-pos1).stripWhiteSpace().latin1();
         pos1=pos2+1;
-        pos2=s.tqfind(')', pos1);
+        pos2=s.find(')', pos1);
         if(pos2!=-1)
           n_ame=s.mid(pos1, pos2-pos1).stripWhiteSpace();
       }
@@ -978,7 +978,7 @@ TQCString Newsgroups::firstGroup()
 {
   int pos=0;
   if(!g_roups.isEmpty()) {
-    pos=g_roups.tqfind(',');
+    pos=g_roups.find(',');
     if(pos==-1)
       return g_roups;
     else
@@ -1107,10 +1107,10 @@ TQCString References::next()
   TQCString ret;
 
   if(p_os!=0) {
-    pos2=r_ef.tqfindRev('>', p_os);
+    pos2=r_ef.findRev('>', p_os);
     p_os=0;
     if(pos2!=-1) {
-      pos1=r_ef.tqfindRev('<', pos2);
+      pos1=r_ef.findRev('<', pos2);
       if(pos1!=-1) {
         ret=r_ef.mid(pos1, pos2-pos1+1);
         p_os=pos1;
@@ -1129,12 +1129,12 @@ TQCString References::at(unsigned int i)
 
   while(pos1!=-1 && cnt < i+1) {
     pos2=pos1-1;
-    pos1=r_ef.tqfindRev('<', pos2);
+    pos1=r_ef.findRev('<', pos2);
     cnt++;
   }
 
   if(pos1!=-1) {
-    pos2=r_ef.tqfind('>', pos1);
+    pos2=r_ef.find('>', pos1);
     if(pos2!=-1)
       ret=r_ef.mid(pos1, pos2-pos1+1);
   }
@@ -1154,7 +1154,7 @@ void References::append(const TQCString &s)
   // remove bogus references
   TQStringList::Iterator it = lst.begin();
   while (it != lst.end()) {
-    if (-1==(*it).tqfind(exp))
+    if (-1==(*it).find(exp))
       it = lst.remove(it);
     else
       it++;
@@ -1233,7 +1233,7 @@ TQString UserAgent::asUnicodeString()
 
 void ContentType::from7BitString(const TQCString &s)
 {
-  int pos=s.tqfind(';');
+  int pos=s.find(';');
 
   if(pos==-1)
     m_imeType=s.simplifyWhiteSpace();
@@ -1274,7 +1274,7 @@ TQString ContentType::asUnicodeString()
 
 TQCString ContentType::mediaType()
 {
-  int pos=m_imeType.tqfind('/');
+  int pos=m_imeType.find('/');
   if(pos==-1)
     return m_imeType;
   else
@@ -1284,7 +1284,7 @@ TQCString ContentType::mediaType()
 
 TQCString ContentType::subType()
 {
-  int pos=m_imeType.tqfind('/');
+  int pos=m_imeType.find('/');
   if(pos==-1)
     return TQCString();
   else
@@ -1453,9 +1453,9 @@ TQCString ContentType::getParameter(const char *name)
 {
   TQCString ret;
   int pos1=0, pos2=0;
-  pos1=p_arams.tqfind(name, 0, false);
+  pos1=p_arams.find(name, 0, false);
   if(pos1!=-1) {
-    if( (pos2=p_arams.tqfind(';', pos1))==-1 )
+    if( (pos2=p_arams.find(';', pos1))==-1 )
       pos2=p_arams.length();
     pos1+=strlen(name)+1;
     ret=p_arams.mid(pos1, pos2-pos1);
@@ -1475,12 +1475,12 @@ void ContentType::setParameter(const TQCString &name, const TQCString &value, bo
   else
     param=name+"="+value;
 
-  pos1=p_arams.tqfind(name.data(), 0, false);
+  pos1=p_arams.find(name.data(), 0, false);
   if(pos1==-1) {
     p_arams+="; "+param;
   }
   else {
-    pos2=p_arams.tqfind(';', pos1);
+    pos2=p_arams.find(';', pos1);
     if(pos2==-1)
       pos2=p_arams.length();
     p_arams.remove(pos1, pos2-pos1);
@@ -1559,7 +1559,7 @@ void CDisposition::from7BitString(const TQCString &s)
     d_isp=CDattachment;
   else d_isp=CDinline;
 
-  int pos=s.tqfind("filename=", 0, false);
+  int pos=s.find("filename=", 0, false);
   TQCString fn;
   if(pos>-1) {
     pos+=9;
@@ -1602,7 +1602,7 @@ void CDisposition::fromUnicodeString(const TQString &s, const TQCString &cs)
     d_isp=CDattachment;
   else d_isp=CDinline;
 
-  int pos=s.tqfind("filename=", 0, false);
+  int pos=s.find("filename=", 0, false);
   if(pos>-1) {
     pos+=9;
     f_ilename=s.mid(pos, s.length()-pos);
diff --git a/libkmime/kmime_headers.h b/libkmime/kmime_headers.h
index 40ae18b8a..69f139a57 100644
--- a/libkmime/kmime_headers.h
+++ b/libkmime/kmime_headers.h
@@ -605,7 +605,7 @@ class KDE_EXPORT Subject : public Generics::GUnstructured {
     virtual const char* type() { return "Subject"; }
 
     bool isReply() {
-      return ( asUnicodeString().tqfind( TQString("Re:"), 0, false ) == 0 );
+      return ( asUnicodeString().find( TQString("Re:"), 0, false ) == 0 );
     }
 };
 
@@ -651,7 +651,7 @@ class KDE_EXPORT Control : public Base {
     virtual bool isEmpty()          { return (c_trlMsg.isEmpty()); }
     virtual const char* type()      { return "Control"; }
 
-    bool isCancel()                 { return (c_trlMsg.tqfind("cancel", 0, false)!=-1); }
+    bool isCancel()                 { return (c_trlMsg.find("cancel", 0, false)!=-1); }
 
   protected:
     TQCString c_trlMsg;
@@ -708,7 +708,7 @@ class KDE_EXPORT Newsgroups : public Base {
     virtual const char* type()      { return "Newsgroups"; }
 
     TQCString firstGroup();
-    bool isCrossposted()            { return ( g_roups.tqfind(',')>-1 ); }
+    bool isCrossposted()            { return ( g_roups.find(',')>-1 ); }
     TQStringList getGroups();
 
   protected:
diff --git a/libkmime/kmime_mdn.cpp b/libkmime/kmime_mdn.cpp
index 9d654bc78..bba37023c 100644
--- a/libkmime/kmime_mdn.cpp
+++ b/libkmime/kmime_mdn.cpp
@@ -240,9 +240,9 @@ namespace MDN {
     // headers that are only present for certain disposition {types,modifiers}:
     if ( d == Failed )
       result += "Failure: " + encodeRFC2047String( spec, "utf-8" ) + "\n";
-    else if ( m.tqcontains( Error ) )
+    else if ( m.contains( Error ) )
       result += "Error: " + encodeRFC2047String( spec, "utf-8" ) + "\n";
-    else if ( m.tqcontains( Warning ) )
+    else if ( m.contains( Warning ) )
       result += "Warning: " + encodeRFC2047String( spec, "utf-8" ) + "\n";
 
     return result;
diff --git a/libkmime/kmime_message.cpp b/libkmime/kmime_message.cpp
index a7ce3ca8a..0d516ecc7 100644
--- a/libkmime/kmime_message.cpp
+++ b/libkmime/kmime_message.cpp
@@ -96,7 +96,7 @@ void Message::assemble()
   newHead+=contentTransferEncoding()->as7BitString()+"\n";
 
   //X-Headers
-  int pos=h_ead.tqfind("\nX-");
+  int pos=h_ead.find("\nX-");
   if(pos>-1) //we already have some x-headers => "recycle" them
     newHead+=h_ead.mid(pos+1, h_ead.length()-pos-1);
   else if(h_eaders && !h_eaders->isEmpty()) {
diff --git a/libkmime/kmime_newsarticle.cpp b/libkmime/kmime_newsarticle.cpp
index 8989f6a07..1b16ad71f 100644
--- a/libkmime/kmime_newsarticle.cpp
+++ b/libkmime/kmime_newsarticle.cpp
@@ -104,7 +104,7 @@ void NewsArticle::assemble()
   newHead+=contentTransferEncoding()->as7BitString()+"\n";
 
   //X-Headers
-  int pos=h_ead.tqfind("\nX-");
+  int pos=h_ead.find("\nX-");
   if(pos>-1) //we already have some x-headers => "recycle" them
     newHead+=h_ead.mid(pos+1, h_ead.length()-pos);
   else if(h_eaders && !h_eaders->isEmpty()) {
diff --git a/libkmime/kmime_parsers.cpp b/libkmime/kmime_parsers.cpp
index a7f758bf0..bd07c2375 100644
--- a/libkmime/kmime_parsers.cpp
+++ b/libkmime/kmime_parsers.cpp
@@ -39,7 +39,7 @@ bool MultiPart::parse()
 
   //find the first valid boundary
   while(1) {
-    if( (pos1=s_rc.tqfind(b.data(), pos1))==-1 || pos1==0 || s_rc[pos1-1]=='\n' ) //valid boundary found or no boundary at all
+    if( (pos1=s_rc.find(b.data(), pos1))==-1 || pos1==0 || s_rc[pos1-1]=='\n' ) //valid boundary found or no boundary at all
       break;
     pos1+=blen; //boundary found but not valid => skip it;
   }
@@ -56,11 +56,11 @@ bool MultiPart::parse()
   while(pos1>-1 && pos2>-1) {
 
     //skip the rest of the line for the first boundary - the message-part starts here
-    if( (pos1=s_rc.tqfind('\n', pos1))>-1 ) { //now search the next linebreak
+    if( (pos1=s_rc.find('\n', pos1))>-1 ) { //now search the next linebreak
       //now find the next valid boundary
       pos2=++pos1; //pos1 and pos2 point now to the beginning of the next line after the boundary
       while(1) {
-        if( (pos2=s_rc.tqfind(b.data(), pos2))==-1 || s_rc[pos2-1]=='\n' ) //valid boundary or no more boundaries found
+        if( (pos2=s_rc.find(b.data(), pos2))==-1 || s_rc[pos2-1]=='\n' ) //valid boundary or no more boundaries found
           break;
         pos2+=blen; //boundary is invalid => skip it;
       }
@@ -77,7 +77,7 @@ bool MultiPart::parse()
         pos2+=blen; //pos2 points now to the first charakter after the boundary
         if(s_rc[pos2]=='-' && s_rc[pos2+1]=='-') { //end-boundary
           pos1=pos2+2; //pos1 points now to the character directly after the end-boundary
-          if( (pos1=s_rc.tqfind('\n', pos1))>-1 ) //skipt the rest of this line
+          if( (pos1=s_rc.find('\n', pos1))>-1 ) //skipt the rest of this line
             e_pilouge=s_rc.mid(pos1+1, s_rc.length()-pos1-1); //everything after the end-boundary is considered as the epilouge
           pos1=-1;
           pos2=-1; //break
@@ -108,7 +108,7 @@ TQCString NonMimeParser::guessMimeType(const TQCString& fileName)
   int pos;
 
   if(!fileName.isEmpty()) {
-    pos=fileName.tqfindRev('.');
+    pos=fileName.findRev('.');
     if(pos++ != -1) {
       tmp=fileName.mid(pos, fileName.length()-pos).upper();
       if(tmp=="JPG" || tmp=="JPEG")       mimeType="image/jpeg";
@@ -152,9 +152,9 @@ bool UUEncoded::parse()
     bool containsBegin=false, containsEnd=false;
     TQCString tmp,fileName;
 
-    if( (beginPos=s_rc.tqfind(TQRegExp("begin [0-9][0-9][0-9]"),currentPos))>-1 && (beginPos==0 || s_rc.at(beginPos-1)=='\n') ) {
+    if( (beginPos=s_rc.find(TQRegExp("begin [0-9][0-9][0-9]"),currentPos))>-1 && (beginPos==0 || s_rc.at(beginPos-1)=='\n') ) {
       containsBegin=true;
-      uuStart=s_rc.tqfind('\n', beginPos);
+      uuStart=s_rc.find('\n', beginPos);
       if(uuStart==-1) {//no more line breaks found, we give up
         success = false;
         break;
@@ -163,7 +163,7 @@ bool UUEncoded::parse()
     }
       else beginPos=currentPos;
 
-    if ( (endPos=s_rc.tqfind("\nend",(uuStart>0)? uuStart-1:0))==-1 )
+    if ( (endPos=s_rc.find("\nend",(uuStart>0)? uuStart-1:0))==-1 )
       endPos=s_rc.length(); //no end found
     else
       containsEnd=true;
@@ -194,7 +194,7 @@ bool UUEncoded::parse()
 	len=rx.matchedLength();
         if(pos!=-1) {
           tmp=s_ubject.mid(pos, len);
-          pos=tmp.tqfind('/');
+          pos=tmp.find('/');
           p_artNr=tmp.left(pos).toInt();
           t_otalNr=tmp.right(tmp.length()-pos-1).toInt();
         } else {
@@ -216,7 +216,7 @@ bool UUEncoded::parse()
       m_imeTypes.append(guessMimeType(fileName));
       firstIteration=false;
 
-      int next = s_rc.tqfind('\n', endPos+1);
+      int next = s_rc.find('\n', endPos+1);
       if(next==-1) { //no more line breaks found, we give up
         success = false;
         break;
@@ -249,19 +249,19 @@ bool YENCEncoded::yencMeta(TQCString& src, const TQCString& name, int* value)
   bool found = false;
   TQCString sought=name + "=";
 
-  int iPos=src.tqfind( sought.data() );
+  int iPos=src.find( sought.data() );
   if (iPos>-1) {
-    int pos1=src.tqfind(' ', iPos);
-    int pos2=src.tqfind('\r', iPos);
-    int pos3=src.tqfind('\t', iPos);
-    int pos4=src.tqfind('\n', iPos);
+    int pos1=src.find(' ', iPos);
+    int pos2=src.find('\r', iPos);
+    int pos3=src.find('\t', iPos);
+    int pos4=src.find('\n', iPos);
     if (pos2>=0 && (pos1<0 || pos1>pos2))
       pos1=pos2;
     if (pos3>=0 && (pos1<0 || pos1>pos3))
       pos1=pos3;
     if (pos4>=0 && (pos1<0 || pos1>pos4))
       pos1=pos4;
-    iPos=src.tqfindRev( '=', pos1)+1;
+    iPos=src.findRev( '=', pos1)+1;
     if (iPos<pos1) {
       char c=src.at( iPos);
       if ( c>='0' && c<='9') {
@@ -284,16 +284,16 @@ bool YENCEncoded::parse()
     bool containsPart=false;
     TQCString fileName,mimeType;
 
-    if ((beginPos=s_rc.tqfind("=ybegin ", currentPos))>-1 && ( beginPos==0 || s_rc.at( beginPos-1)=='\n') ) {
-      yencStart=s_rc.tqfind( '\n', beginPos);
+    if ((beginPos=s_rc.find("=ybegin ", currentPos))>-1 && ( beginPos==0 || s_rc.at( beginPos-1)=='\n') ) {
+      yencStart=s_rc.find( '\n', beginPos);
       if (yencStart==-1) { // no more line breaks found, give up
         success = false;
         break;
       } else {
         yencStart++;
-        if (s_rc.tqfind("=ypart", yencStart)==yencStart) {
+        if (s_rc.find("=ypart", yencStart)==yencStart) {
           containsPart=true;
-          yencStart=s_rc.tqfind( '\n', yencStart);
+          yencStart=s_rc.find( '\n', yencStart);
           if ( yencStart== -1) {
             success=false;
             break;
@@ -305,14 +305,14 @@ bool YENCEncoded::parse()
 
       // Filenames can contain any embedded chars until end of line
       TQCString meta=s_rc.mid(beginPos, yencStart-beginPos);
-      int namePos=meta.tqfind("name=");
+      int namePos=meta.find("name=");
       if (namePos== -1) {
         success=false;
         break;
       }
-      int eolPos=meta.tqfind('\r', namePos);
+      int eolPos=meta.find('\r', namePos);
       if (eolPos== -1)
-      eolPos=meta.tqfind('\n', namePos);    
+      eolPos=meta.find('\n', namePos);    
       if (eolPos== -1) {
         success=false;
         break;
@@ -424,7 +424,7 @@ bool YENCEncoded::parse()
       }
 
       // pos now points to =yend; get end data
-      eolPos=s_rc.tqfind('\n', pos);
+      eolPos=s_rc.find('\n', pos);
       if (eolPos== -1)
       {
         success=false;
